List Block Versions
curl --request GET \
--url https://api.retab.com/v1/workflows/blocks/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retab.com/v1/workflows/blocks/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retab.com/v1/workflows/blocks/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"block_id": "<string>",
"workflow_id": "<string>",
"workflow_version_id": "<string>",
"type": "start_document",
"created_at": "2023-11-07T05:31:56Z",
"label": "",
"position_x": 0,
"position_y": 0,
"width": 123,
"height": 123,
"parent_id": "<string>",
"config": {},
"resolved_schemas": {},
"config_hash": ""
}
],
"list_metadata": {
"before": "<string>",
"after": "<string>"
}
}{
"detail": []
}Versions
List Block Versions
GET
/
v1
/
workflows
/
blocks
/
versions
List Block Versions
List immutable workflow block versions.
Python
workflow_id = "wf_abc123"
print(workflow_id)
TypeScript
const workflowId = "wf_abc123";
console.log(workflowId);
Go
workflowID := "wf_abc123"
_ = workflowID
Java
String workflowId = "wf_abc123";
System.out.println(workflowId);
cURL
curl "https://api.retab.com/v1/workflows/blocks/versions?workflow_id=wf_abc123" \
-H "Authorization: Bearer $RETAB_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by stable block ID
Filter by workflow version ID
Block version cursor before
Block version cursor after
Maximum number of block versions to return
Required range:
1 <= x <= 100Response
Successful Response
A page of WorkflowBlockVersion resources. data holds the items and list_metadata carries the before/after cursors; pass after to fetch the next page.